Bug 1119090 - Rule Engine UI enhancements
Summary: Rule Engine UI enhancements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Internal Tools
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 4.4
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: bre, bugbot2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 00:16 UTC by Simon Green
Modified: 2018-12-09 06:29 UTC (History)
7 users (show)

Fixed In Version: 4.4.5023
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 01:14:15 UTC


Attachments (Terms of Use)

Description Simon Green 2014-07-14 00:16:29 UTC
Some enhancements to the Rules Engine suggestted by Ludek

* Grouping of checkbox and text should be much clearer for steps 2 and 3 (put
them into frame, or use a background color to highlight grouping)

* Each action/condition should have explicit delete button (ideally with
confirmation). It's not very clear how to delete actions and conditions now.

Comment 1 Matt Tyson 🤬 2014-07-22 03:33:21 UTC
The rules page deletes options from the drop down when you click 'Add'.  Once it's been removed we can't put it back.  

our choices are to just clear out the field and have the user ignore it, or leave the field in the drop down so it can be unhidden again if it's added back.

For now I've added a button to clear out the fields, this will unselect everything for that field and when the form is submitted that field will be ignored.

Comment 2 Matt Tyson 🤬 2014-07-22 05:50:15 UTC
I've also added highlighting to the table rows, hopefully that should make it things a little clearer.

Comment 17 Jason McDonald 2014-07-30 03:39:40 UTC
IMO, the confirmation popup isn't really necessary -- when editing a rule, there's already a confirmation step (i.e. Step 4) where you can review your changes and either re-edit or discard the changes if you completely messed it up.

In any case, the popup was not a mandatory requirement for this RFE -- note the text "ideally with confirmation" in the original description -- so for now, I suggest removing the popup code from the patch.

We'll go back to the requester and point out the problem with Firefox.  If he really wants confirmations and can conceive a way to do it without making Firefox think the page is malicious, we can implement that under a separate RFE.

Comment 18 Matt Tyson 🤬 2014-07-30 05:02:42 UTC
I've removed the confirmation box.

Comment 20 Shirley Zhou 2014-07-31 01:32:35 UTC
According to Comment 19, move this bug to Verified.


Note You need to log in before you can comment on or make changes to this bug.